stages:
  - deploy


docker:
  stage: deploy
  only:
    changes:
      - docker/*
      - docker/**/*
  except:
    changes:
      - docker/*.md
      - docker/**/*.md
  trigger:
    include: docker/.gitlab-ci.yml

terraform:
  stage: deploy
  only:
    changes:
      - terraform/*
      - terraform/**/*
  except:
    changes:
      - terraform/*.md
      - terraform/**/*.md
  trigger:
    include: terraform/.gitlab-ci.yml

ansible:
  stage: deploy
  only:
    changes:
      - ansible/*
      - ansible/**/*
  except:
    changes:
      - ansible/*.md
      - ansible/**/*.md
  variables:
    ANSIBLE_HOST_KEY_CHECKING: "False"
  trigger:
    include: ansible/.gitlab-ci.yml
